#responsive-diffTd {
  .diff-former-td {
    padding: 0.33em 0.5em;
  }
  
  div.diff-deletedline,
  div.diff-addedline,
  div.diff-context {
    display: flex;
    min-height: 1.5em;
  }
  
}

.diff-responsive-ready {
    border-spacing: 0 !important; /* if a rule uses important, then it's most likely conflicting with default MW values */
}

@media only screen and (min-width: 850px) {
  .diff-responsive-ready {
  /* I can't change its colspan */
  body.action-submit .diff-ntitle {
    width: 100% !important;
  }

  .diff-prevlink-mobile {
    display: none;
  }
  
  .diff-ntitle {
    width: 2500%;
    display: block;
  }
}
  
  #responsive-diffTd {
    .mw-diff-movedpara-left,
    .mw-diff-movedpara-right {
      font-size: 20px;
    }
    .diff-movedpara-lang-a {
      display: none;
    }
    .diff-line {
      display: grid;
      /* How this works is beyond me, but 19 somehow looks better than 20 */
      grid-template-columns: repeat(19, minmax(0, 0.5fr));
      grid-auto-flow: column;
      grid-gap: 10px;
    }

    .diff-line div {
      width: 100%; /* of its column */
    }

    .diff-lineno {
      grid-column: span 9;
      margin-top: 1em;
      margin-left: -2em;
    }

    .diff-lineno:nth-child(1) {
      grid-column-start: 2;
      grid-column-end: 11;
    }

    .diff-marker {
      grid-column: span 1;
      justify-content: flex-end;
      display: flex;
      align-items: center;
      line-height: 1;
      font-size: 1.25em;
      font-weight: bold;
    }
    
    .diff-marker[data-marker="+"]::before {
      content: "+";
      margin-right: 0.2em;
    }
    
    
    .diff-marker[data-marker="−"]::before {
      content: "−";
      margin-right: 0.2em;
    }

    .diff-context:nth-child(1n), /* because of php diffengine bullshit */
    .diff-context.diff-side-deleted,
    .diff-empty.diff-side-deleted,
    .diff-deletedline {
      grid-column-start: 2;
      grid-column: span 8; 
      align-items: flex-start;
    }
    
    .diff-context.diff-context.diff-side-added,
    .diff-addedline {
      grid-column-start: 11;
      grid-column-end: 19;
      align-items: flex-start;
    }

    .diff-marker[data-marker="+"],
    .diff-marker[data-marker="⚫-right"] {
      grid-column-start: 10;
    }

    .diff-multi,
    .diff-notice {
      grid-column-start: 6;
      grid-column-end: 14;
    }  

    .diff-line {
      margin-top: 0.3em;
      margin-bottom: 0.3em;
    }

  }
}

@media only screen and (max-width: 850px) {
  #responsive-diffTd {
    .diff-line {
      display: flex;
      flex-direction: column;
    }

    .diff-prevlink-mobile {
      line-height: 1.1 !important;
    }

    .diff-movedpara-lang-a {
      display: initial;
      margin-left: 1em;
      padding-top: 0.5em;
      display: flex;
      align-items: center;
      font-size: small;
      color: black;
    }

    .diff-movedpara-lang-a:hover,
    .diff-movedpara-lang-a:focus,
    .diff-movedpara-lang-a:visited {
      color: black !important;
    }

    .mw-diff-movedpara-left,
    .mw-diff-movedpara-right {
      font-size: larger;
    }

    .mw-diff-movedpara-left::after,
    .mw-diff-movedpara-right::after {
      margin-top: -1.2em !important; /* -1.25 without RF */
    }

    .diff-marker {
      display: none;
    }

    .diff-marker[data-marker="⚫-right"],
    .diff-marker[data-marker="⚫-left"] {
      display: flex;
      flex-direction: row;
    }

    .diff-empty,
    .diff-former-td:empty,
    .diff-left:empty,
    .diff-right:empty {
      display: none;
    }
    .diff-lineno:nth-child(2),
    .diff-context.diff-right,
    .diff-context.diff-side-added,
    .diff-marker[data-marker="+"], .diff-marker[data-marker="−"], .diff-marker:empty {
      display: none !important;
    }
  
    .diff-lineno {
      display: flex;
      align-items: flex-end;
    }
  
    .diff-former-td {
      margin-top: 0.3em;
    }
    .diff-addedline, .diff-deletedline, .diff-context,
    .diffchange {
      border-radius: 0 !important;
    }

    .diff-addedline div,
    .diff-deletedline div {
      padding-top: 3px;
      padding-bottom: 3px;
      word-wrap: anywhere !important; 
    }
    .diff-addedline {
      border-color: #7fd7c4 !important;
    }
  
    .diff-addedline .diffchange {
      background-color: #7fd7c4 !important;
      padding: 0.15em 0 !important;
    }
  
    .diff-deletedline {
      border-color: #e88e89 !important;
    }
  
    .diff-deletedline .diffchange {
      background-color: #e88e89 !important;
    }
  
    .diff-left, .diff-right.diff-addedline {
      display: flex;
      align-items: center;
    }
  
    .diff-left div,
    .diff-right.diff-addedline div {
      max-width: 50%;
    }

    a[name*="movedpara"] {
      position: relative;
      top: -3em;
    }
  }


  .diff-responsive-ready {
    .diff-otitle {
      display: none;
    }
  
  
    .diff td {
      padding: 0 !important;
    }
  
  
    .diff td div {
      word-break: break-word;
    }
   
    .diff-ntitle {
      line-height: 1.8em;
      width: 5000% !important;
      display: block;
      padding-bottom: 0px;
    }
    /* break line after talk • edit • block links */
    .diff-ntitle div .mw-usertoollinks:after { 
      content: "\A";
      white-space: pre; 
    }
  
    #mw-diff-ntitle4:not(.diff-not-empty) {
      display: none;
    }  
  }
}
